Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
api-keys
List API Keys
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "api_keys": [
    {
      "api_key_id": "<string>",
      "prefix": "<string>",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "pod_id": "<string>",
      "inbox_id": "<string>",
      "used_at": "2023-11-07T05:31:56Z",
      "permissions": {
        "inbox_read": true,
        "inbox_create": true,
        "inbox_update": true,
        "inbox_delete": true,
        "thread_read": true,
        "thread_delete": true,
        "message_read": true,
        "message_send": true,
        "message_update": true,
        "label_spam_read": true,
        "label_blocked_read": true,
        "label_trash_read": true,
        "draft_read": true,
        "draft_create": true,
        "draft_update": true,
        "draft_delete": true,
        "draft_send": true,
        "webhook_read": true,
        "webhook_create": true,
        "webhook_update": true,
        "webhook_delete": true,
        "domain_read": true,
        "domain_create": true,
        "domain_update": true,
        "domain_delete": true,
        "list_entry_read": true,
        "list_entry_create": true,
        "list_entry_delete": true,
        "metrics_read": true,
        "api_key_read": true,
        "api_key_create": true,
        "api_key_delete": true,
        "pod_read": true,
        "pod_create": true,
        "pod_delete": true
      }
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Query Parameters

limit
integer

Limit of number of items returned.

page_token
string

Page token for pagination.

ascending
boolean

Sort in ascending temporal order.

Response

200 - application/json

Response with status 200

count
integer
required

Number of items returned.

api_keys
ApiKey · object[]
required

Ordered by created_at descending.

next_page_token
string

Page token for pagination.